# Class SnpSiftLexer

java.lang.Object
org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>
org.antlr.v4.runtime.Lexer
org.snpsift.antlr.SnpSiftLexer

All Implemented Interfaces:
  `org.antlr.v4.runtime.TokenSource`

public class SnpSiftLexer extends org.antlr.v4.runtime.Lexer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.antlr.v4.runtime.atn.ATN`
`_ATN`
`protected static final org.antlr.v4.runtime.dfa.DFA[]`
`_decisionToDFA`
`static final String`
`_serializedATN`
`protected static final org.antlr.v4.runtime.atn.PredictionContextCache`
`_sharedContextCache`
`static final int`
`BOOL_LITERAL`
`static String[]`
`channelNames`
`static final int`
`COMMENT_HASH`
`static final int`
`COMMENT_SL`
`static final int`
`FLOAT_LITERAL`
`static final int`
`ID`
`static final int`
`INT_LITERAL`
`static String[]`
`modeNames`
`static final String[]`
`ruleNames`
`static final int`
`STRING_LITERAL`
`static final int`
`T__0`
`static final int`
`T__1`
`static final int`
`T__10`
`static final int`
`T__11`
`static final int`
`T__12`
`static final int`
`T__13`
`static final int`
`T__14`
`static final int`
`T__15`
`static final int`
`T__16`
`static final int`
`T__17`
`static final int`
`T__18`
`static final int`
`T__19`
`static final int`
`T__2`
`static final int`
`T__20`
`static final int`
`T__21`
`static final int`
`T__22`
`static final int`
`T__23`
`static final int`
`T__24`
`static final int`
`T__25`
`static final int`
`T__26`
`static final int`
`T__27`
`static final int`
`T__28`
`static final int`
`T__29`
`static final int`
`T__3`
`static final int`
`T__30`
`static final int`
`T__31`
`static final int`
`T__32`
`static final int`
`T__33`
`static final int`
`T__34`
`static final int`
`T__4`
`static final int`
`T__5`
`static final int`
`T__6`
`static final int`
`T__7`
`static final int`
`T__8`
`static final int`
`T__9`
`static final String[]`
`tokenNames`
Deprecated.
Use `VOCABULARY` instead.
`static final org.antlr.v4.runtime.Vocabulary`
`VOCABULARY`
`static final int`
`WS`

### Fields inherited from class org.antlr.v4.runtime.Lexer

`_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftLexer(org.antlr.v4.runtime.CharStream input)`

## Method Summary

Modifier and Type
Method
Description
`void`
`action(org.antlr.v4.runtime.RuleContext _localctx, int ruleIndex, int actionIndex)`
`org.antlr.v4.runtime.atn.ATN`
`getATN()`
`String[]`
`getChannelNames()`
`String`
`getGrammarFileName()`
`String[]`
`getModeNames()`
`String[]`
`getRuleNames()`
`String`
`getSerializedATN()`
`String[]`
`getTokenNames()`
Deprecated.
`org.antlr.v4.runtime.Vocabulary`
`getVocabulary()`

### Methods inherited from class org.antlr.v4.runtime.Lexer

`emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _decisionToDFA

protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

### _sharedContextCache

protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

### T__0

public static final int T__0

See Also:
  - Constant Field Values

### T__1

public static final int T__1

See Also:
  - Constant Field Values

### T__2

public static final int T__2

See Also:
  - Constant Field Values

### T__3

public static final int T__3

See Also:
  - Constant Field Values

### T__4

public static final int T__4

See Also:
  - Constant Field Values

### T__5

public static final int T__5

See Also:
  - Constant Field Values

### T__6

public static final int T__6

See Also:
  - Constant Field Values

### T__7

public static final int T__7

See Also:
  - Constant Field Values

### T__8

public static final int T__8

See Also:
  - Constant Field Values

### T__9

public static final int T__9

See Also:
  - Constant Field Values

### T__10

public static final int T__10

See Also:
  - Constant Field Values

### T__11

public static final int T__11

See Also:
  - Constant Field Values

### T__12

public static final int T__12

See Also:
  - Constant Field Values

### T__13

public static final int T__13

See Also:
  - Constant Field Values

### T__14

public static final int T__14

See Also:
  - Constant Field Values

### T__15

public static final int T__15

See Also:
  - Constant Field Values

### T__16

public static final int T__16

See Also:
  - Constant Field Values

### T__17

public static final int T__17

See Also:
  - Constant Field Values

### T__18

public static final int T__18

See Also:
  - Constant Field Values

### T__19

public static final int T__19

See Also:
  - Constant Field Values

### T__20

public static final int T__20

See Also:
  - Constant Field Values

### T__21

public static final int T__21

See Also:
  - Constant Field Values

### T__22

public static final int T__22

See Also:
  - Constant Field Values

### T__23

public static final int T__23

See Also:
  - Constant Field Values

### T__24

public static final int T__24

See Also:
  - Constant Field Values

### T__25

public static final int T__25

See Also:
  - Constant Field Values

### T__26

public static final int T__26

See Also:
  - Constant Field Values

### T__27

public static final int T__27

See Also:
  - Constant Field Values

### T__28

public static final int T__28

See Also:
  - Constant Field Values

### T__29

public static final int T__29

See Also:
  - Constant Field Values

### T__30

public static final int T__30

See Also:
  - Constant Field Values

### T__31

public static final int T__31

See Also:
  - Constant Field Values

### T__32

public static final int T__32

See Also:
  - Constant Field Values

### T__33

public static final int T__33

See Also:
  - Constant Field Values

### T__34

public static final int T__34

See Also:
  - Constant Field Values

### WS

public static final int WS

See Also:
  - Constant Field Values

### COMMENT_SL

public static final int COMMENT_SL

See Also:
  - Constant Field Values

### COMMENT_HASH

public static final int COMMENT_HASH

See Also:
  - Constant Field Values

### BOOL_LITERAL

public static final int BOOL_LITERAL

See Also:
  - Constant Field Values

### INT_LITERAL

public static final int INT_LITERAL

See Also:
  - Constant Field Values

### FLOAT_LITERAL

public static final int FLOAT_LITERAL

See Also:
  - Constant Field Values

### STRING_LITERAL

public static final int STRING_LITERAL

See Also:
  - Constant Field Values

### ID

public static final int ID

See Also:
  - Constant Field Values

### channelNames

public static String[] channelNames

### modeNames

public static String[] modeNames

### ruleNames

public static final String[] ruleNames

### VOCABULARY

public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

### tokenNames

@Deprecated public static final String[] tokenNames
Deprecated.
Use `VOCABULARY` instead.

### _serializedATN

public static final String _serializedATN

See Also:
  - Constant Field Values

### _ATN

public static final org.antlr.v4.runtime.atn.ATN _ATN

## Constructor Details

### SnpSiftLexer

public SnpSiftLexer(org.antlr.v4.runtime.CharStream input)

## Method Details

### getTokenNames

@Deprecated public String[] getTokenNames()
Deprecated.

Overrides:
  `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

### getVocabulary

public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getGrammarFileName

public String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getRuleNames

public String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getSerializedATN

public String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getChannelNames

public String[] getChannelNames()

Overrides:
  `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

### getModeNames

public String[] getModeNames()

Overrides:
  `getModeNames` in class `org.antlr.v4.runtime.Lexer`

### getATN

public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>`

### action

public void action(org.antlr.v4.runtime.RuleContext _localctx, int ruleIndex, int actionIndex)

Overrides:
  `action` in class `org.antlr.v4.runtime.Recognizer<Integer, org.antlr.v4.runtime.atn.LexerATNSimulator>`